print("Tag Ring Buffs Loading.")
--All ring weapons (value, WEP_name, normal ring name)
--1 	WEP_AUTO 	Automatic Ring
--2 	WEP_BOUNCE 	Bounce Ring
--3 	WEP_SCATTER 	Scatter Ring
--4 	WEP_GRENADE 	Grenade Ring
--5 	WEP_EXPLODE 	Explosion Ring
--6 	WEP_RAIL 	Rail Ring
--7 	NUM_WEAPONS 	Total number of weapons
--
--1 TICRATE is 35

--very simple script that reduces cooldown of rails and bombs

--List of rings that should have values changed
local ringValues = {}
-- WEAPON SLOT = RECHARGE SPEED
--if the recharge is higher than default, it won't work.
table.insert(ringValues,WEP_EXPLODE,37)
table.insert(ringValues,WEP_RAIL,37)

local function BalanceRings(player)
	local cooldown = ringValues[player.currentweapon]
	if cooldown == nil then
		return
	end
	
	if player.incooldown and player.weapondelay > 0 then
		return
	elseif player.weapondelay > cooldown then
		player.weapondelay = cooldown
		player.incooldown = true
	elseif player.incooldown and player.weapondelay <= 0 then
		player.incooldown = false
	end
end

addHook("PreThinkFrame", do
	for player in players.iterate
		BalanceRings(player)
	end
end)

print("Tag Ring Buffs finished Loading.")