--Set namespace to TagUtilities
rawset(_G, "TagUtilities", {})
print("\n============")
print("Tag Utilities has been started!")
print("Our Global Namespace is TagUtilities.")
print("Type 'help tu_' in console to see all our commands and console variables!")
print("============\n")

--Code that runs first

TagUtilities.isTag = true --used to check if we're playing tag, default is true just in case Mapload doesn't run on boot

--Define global variables
TagUtilities.HideTimeDiff = -10 --needs to initialize as negative
TagUtilities.inIntermission = false --default we're in a game

addHook("MapLoad", do
	TagUtilities.isTag = G_TagGametype()
end)

addHook("NetVars", function(network)
	TagUtilities.isTag = network(TagUtilities.isTag)
end)

--Load scripts
dofile("MoreTaggers.lua")
dofile("PatchesAndBalanceChanges.lua")
dofile("StopTagHotPotato.lua")
dofile("MomentumRings.lua")
dofile("BuffRings.lua")
dofile("MapObjectHandling.lua")
dofile("SkipMonitorTweaks.lua")
dofile("MarioTweaks.lua")